GET api/incomingSecureMessages/search?priority={priority}&secureRecipientName={secureRecipientName}&subject={subject}&body={body}&patientExternalId={patientExternalId}&patientEmailAddress={patientEmailAddress}&creationDateOperator={creationDateOperator}&creationDate1={creationDate1}&creationDate2={creationDate2}&sentDateOperator={sentDateOperator}&sentDate1={sentDate1}&sentDate2={sentDate2}&getFullBody={getFullBody}&read={read}&deletedByUser={deletedByUser}&deletedByPatient={deletedByPatient}&fromRepresentative={fromRepresentative}&alreadySent={alreadySent}&page={page}&itemPerPage={itemPerPage}

Returns a list of incoming secure messages.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
priority

Current priority of an incoming secure messages. Possible values: Priority should be (Normal, High and Low).

string

Default value is empty string ("")

secureRecipientName

Filters the list of incoming secure messages based on SecureRecipient name.

string

Default value is empty string ("")

subject

Filters the list of incoming secure messages based on subject.

string

Default value is empty string ("")

body

Filters the list of incoming secure messages based on body.

string

Default value is empty string ("")

patientExternalId

Filters the list of incoming secure messages based on the patient external ID.

string

Default value is empty string ("")

patientEmailAddress

Filters the list of incoming secure messages based on patient email address.

string

Default value is empty string ("")

creationDateOperator

Creation date operator an incoming secure messages's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

creationDate1

Creation date that is created an incoming secure messages.

date

None.

creationDate2

Second date that is created an incoming secure messages.

date

None.

sentDateOperator

Send date operator an incoming secure messages's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

sentDate1

Sent date that is sent an incoming secure messages.

date

None.

sentDate2

Second date that is sent an incoming secure messages.

date

None.

getFullBody

If true, the incoming secure message list will include the full bodies of the messages. Otherwise, only the first 100 characters of each message's body will be included in the list

boolean

Default value is False

read

Filters the list of incoming secure messages based on if these messages are readed or not.

boolean

None.

deletedByUser

Filters the list of incoming secure messages based on if it is deleted by user or not.

boolean

None.

deletedByPatient

Filters the list of incoming secure messages based on if it is deleted by patient or not.

boolean

None.

fromRepresentative

Filters the list of incoming secure messages based on if it is from the representative of the patient or not.

boolean

None.

alreadySent

If False, the list will return only new results (not yet sent to the integrating system). Use this parameter to avoid getting the same records on every call. See also the POST api/IncomingSecureMessagesSent.

boolean

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfIncomingSecureMessageModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of IncomingSecureMessageModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "id": "a9902029-6334-48bd-859f-800b70e3ef34",
      "accountId": "1f203669-a0b8-4af4-9206-4aae0cea3255",
      "patientId": "f82b095c-039f-48af-bee2-8e915fc069ce",
      "patientExternalId": "sample string 5",
      "patientPrefix": "sample string 7",
      "patientFirstName": "sample string 8",
      "patientMiddleName": "sample string 9",
      "patientLastName": "sample string 10",
      "patientSuffix": "sample string 11",
      "patientFullName": "sample string 12",
      "fromRepresentative": true,
      "patientEmailAddress": "sample string 13",
      "doctorExternalId": "sample string 20",
      "creationDate": "2026-05-29T16:56:46.1117864+00:00",
      "priority": "sample string 21",
      "status": "sample string 22",
      "messageRead": true,
      "secureRecipientExternalId": "sample string 14",
      "secureRecipientName": "sample string 15",
      "subject": "sample string 16",
      "body": "sample string 23",
      "sentDate": "2026-05-29T16:56:46.1149671+00:00",
      "deletedByUser": true,
      "deletedByPatient": true,
      "type": "sample string 24",
      "messageAttachmentIds": [
        1,
        2
      ]
    },
    {
      "id": "a9902029-6334-48bd-859f-800b70e3ef34",
      "accountId": "1f203669-a0b8-4af4-9206-4aae0cea3255",
      "patientId": "f82b095c-039f-48af-bee2-8e915fc069ce",
      "patientExternalId": "sample string 5",
      "patientPrefix": "sample string 7",
      "patientFirstName": "sample string 8",
      "patientMiddleName": "sample string 9",
      "patientLastName": "sample string 10",
      "patientSuffix": "sample string 11",
      "patientFullName": "sample string 12",
      "fromRepresentative": true,
      "patientEmailAddress": "sample string 13",
      "doctorExternalId": "sample string 20",
      "creationDate": "2026-05-29T16:56:46.1117864+00:00",
      "priority": "sample string 21",
      "status": "sample string 22",
      "messageRead": true,
      "secureRecipientExternalId": "sample string 14",
      "secureRecipientName": "sample string 15",
      "subject": "sample string 16",
      "body": "sample string 23",
      "sentDate": "2026-05-29T16:56:46.1149671+00:00",
      "deletedByUser": true,
      "deletedByPatient": true,
      "type": "sample string 24",
      "messageAttachmentIds": [
        1,
        2
      ]
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfIncomingSecureMessageModelyE58II_Pt xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.IncomingSecureMessages">
    <d2p1:IncomingSecureMessageModel>
      <d2p1:AccountId>1f203669-a0b8-4af4-9206-4aae0cea3255</d2p1:AccountId>
      <d2p1:Body>sample string 23</d2p1:Body>
      <d2p1:CreationDate>2026-05-29T16:56:46.1117864+00:00</d2p1:CreationDate>
      <d2p1:DeletedByPatient>true</d2p1:DeletedByPatient>
      <d2p1:DeletedByUser>true</d2p1:DeletedByUser>
      <d2p1:DoctorExternalId>sample string 20</d2p1:DoctorExternalId>
      <d2p1:FromRepresentative>true</d2p1:FromRepresentative>
      <d2p1:Id>a9902029-6334-48bd-859f-800b70e3ef34</d2p1:Id>
      <d2p1:MessageAttachmentIds xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:int>1</d4p1:int>
        <d4p1:int>2</d4p1:int>
      </d2p1:MessageAttachmentIds>
      <d2p1:MessageRead>true</d2p1:MessageRead>
      <d2p1:PatientEmailAddress>sample string 13</d2p1:PatientEmailAddress>
      <d2p1:PatientExternalId>sample string 5</d2p1:PatientExternalId>
      <d2p1:PatientFirstName>sample string 8</d2p1:PatientFirstName>
      <d2p1:PatientFullName>sample string 12</d2p1:PatientFullName>
      <d2p1:PatientId>f82b095c-039f-48af-bee2-8e915fc069ce</d2p1:PatientId>
      <d2p1:PatientLastName>sample string 10</d2p1:PatientLastName>
      <d2p1:PatientMiddleName>sample string 9</d2p1:PatientMiddleName>
      <d2p1:PatientPrefix>sample string 7</d2p1:PatientPrefix>
      <d2p1:PatientSuffix>sample string 11</d2p1:PatientSuffix>
      <d2p1:Priority>sample string 21</d2p1:Priority>
      <d2p1:SecureRecipientExternalId>sample string 14</d2p1:SecureRecipientExternalId>
      <d2p1:SecureRecipientName>sample string 15</d2p1:SecureRecipientName>
      <d2p1:SentDate>2026-05-29T16:56:46.1149671+00:00</d2p1:SentDate>
      <d2p1:Status>sample string 22</d2p1:Status>
      <d2p1:Subject>sample string 16</d2p1:Subject>
      <d2p1:Type>sample string 24</d2p1:Type>
    </d2p1:IncomingSecureMessageModel>
    <d2p1:IncomingSecureMessageModel>
      <d2p1:AccountId>1f203669-a0b8-4af4-9206-4aae0cea3255</d2p1:AccountId>
      <d2p1:Body>sample string 23</d2p1:Body>
      <d2p1:CreationDate>2026-05-29T16:56:46.1117864+00:00</d2p1:CreationDate>
      <d2p1:DeletedByPatient>true</d2p1:DeletedByPatient>
      <d2p1:DeletedByUser>true</d2p1:DeletedByUser>
      <d2p1:DoctorExternalId>sample string 20</d2p1:DoctorExternalId>
      <d2p1:FromRepresentative>true</d2p1:FromRepresentative>
      <d2p1:Id>a9902029-6334-48bd-859f-800b70e3ef34</d2p1:Id>
      <d2p1:MessageAttachmentIds xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:int>1</d4p1:int>
        <d4p1:int>2</d4p1:int>
      </d2p1:MessageAttachmentIds>
      <d2p1:MessageRead>true</d2p1:MessageRead>
      <d2p1:PatientEmailAddress>sample string 13</d2p1:PatientEmailAddress>
      <d2p1:PatientExternalId>sample string 5</d2p1:PatientExternalId>
      <d2p1:PatientFirstName>sample string 8</d2p1:PatientFirstName>
      <d2p1:PatientFullName>sample string 12</d2p1:PatientFullName>
      <d2p1:PatientId>f82b095c-039f-48af-bee2-8e915fc069ce</d2p1:PatientId>
      <d2p1:PatientLastName>sample string 10</d2p1:PatientLastName>
      <d2p1:PatientMiddleName>sample string 9</d2p1:PatientMiddleName>
      <d2p1:PatientPrefix>sample string 7</d2p1:PatientPrefix>
      <d2p1:PatientSuffix>sample string 11</d2p1:PatientSuffix>
      <d2p1:Priority>sample string 21</d2p1:Priority>
      <d2p1:SecureRecipientExternalId>sample string 14</d2p1:SecureRecipientExternalId>
      <d2p1:SecureRecipientName>sample string 15</d2p1:SecureRecipientName>
      <d2p1:SentDate>2026-05-29T16:56:46.1149671+00:00</d2p1:SentDate>
      <d2p1:Status>sample string 22</d2p1:Status>
      <d2p1:Subject>sample string 16</d2p1:Subject>
      <d2p1:Type>sample string 24</d2p1:Type>
    </d2p1:IncomingSecureMessageModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfIncomingSecureMessageModelyE58II_Pt>